Get a upload batche
GET
/v1/upload-batches/{batchId}curl -X GET 'https://api.embodiflow.io/v1/upload-batches/{batchId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- batchIdstring必填
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- datasetIdstring | null必填
- sourceTypestring必填
- statusstring必填
- createdAtstring必填
- updatedAtstring必填
- lastActivityAtstring必填
- totalSessionsnumber
- completedSessionsnumber
- failedSessionsnumber
- datasetCountnumber
- latestDatasetPlanStatusstring | null
- materializationStatusstring | null
- latestRunobject | null必填
- failureobject必填
- processingRefusedobject | null
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"datasetId": "string",
"sourceType": "string",
"status": "string",
"createdAt": "string",
"updatedAt": "string",
"lastActivityAt": "string",
"totalSessions": 0,
"completedSessions": 0,
"failedSessions": 0,
"datasetCount": 0,
"latestDatasetPlanStatus": "string",
"materializationStatus": "string",
"latestRun": {
"id": "string",
"status": "string"
},
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"processingRefused": {
"code": "string"
}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1